import { Misc } from "./misc.js";

/* -------------------------------------------- */
export class RdDItem {

  static isSoufflePontImpraticable(item) {
    return item.type == 'souffle' && item.name.toLowerCase().includes(' des ponts');
  }

  static isCaseInnondee(item) {
    return RdDItem.isCaseTMR(item) && item.data.specific == 'debordement';
  }


  static isCaseTMR(item) {
    return item.type == 'casetmr';
  }
}